ros-humble-rosbag2-performance-benchmarking (0.15.16-1jammy) jammy; urgency=high

  * [humble] Enable rosbag2_performance_benchmarking package to be built by default (backport #2093 <https://github.com/ros2/rosbag2/issues/2093>) (#2098 <https://github.com/ros2/rosbag2/issues/2098>)
  * [humble] Bugfix: prosbag2_performance_benchmarking outputs incorrect results for topics with frequency more than 1 kHz (backport #2077 <https://github.com/ros2/rosbag2/issues/2077>) (#2086 <https://github.com/ros2/rosbag2/issues/2086>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Dec 2025 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.15-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 16 Jul 2025 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.14-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Mar 2025 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.13-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 25 Nov 2024 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.12-1jammy) jammy; urgency=high

  * [humble] Remove explicit sqlite3 from code (backport #1166 <https://github.com/ros2/rosbag2/issues/1166>) (#1723 <https://github.com/ros2/rosbag2/issues/1723>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 28 Jul 2024 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.11-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 20 May 2024 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.10-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 May 2024 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.9-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 24 Jan 2024 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.8-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Sep 2023 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.7-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.6-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.3-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.15.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Contributors: Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.12.0-1jammy) jammy; urgency=high

  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
    * Enable YAML encoding/decoding for RecordOptions and StorageOptions
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.10.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.10.0-1jammy) jammy; urgency=high

  * Updated node declare_parameter to new syntax (#882 <https://github.com/ros2/rosbag2/issues/882>)
  * Updated benchmark package to use writer close() instead of old reset() (#881 <https://github.com/ros2/rosbag2/issues/881>)
  * Contributors: Adam Dąbrowski

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.9.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.8.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.7.0-1jammy) jammy; urgency=high

  * fixed a memory leak in no-transport benchmark (#674 <https://github.com/ros2/rosbag2/issues/674>)
  * report of performance improvements in rosbag2 (roughly since Foxy) (#651 <https://github.com/ros2/rosbag2/issues/651>)
  * Performance benchmarking improvements (#634 <https://github.com/ros2/rosbag2/issues/634>)
  * Contributors: Adam Dąbrowski, Piotr Jaroszek

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.6.0-1jammy) jammy; urgency=high

  * Performance benchmarking refactor (#594 <https://github.com/ros2/rosbag2/issues/594>)
  * Contributors: Adam Dąbrowski

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Feb 2021 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.5.0-1jammy) jammy; urgency=high

  * Sqlite storage double buffering (#546 <https://github.com/ros2/rosbag2/issues/546>)
  * Contributors: Adam Dąbrowski

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Dec 2020 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.4.0-1jammy) jammy; urgency=high

  * read yaml config file (#497 <https://github.com/ros2/rosbag2/issues/497>)
  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * performance testing packages (#442 <https://github.com/ros2/rosbag2/issues/442>)
  * Contributors: Adam Dąbrowski, Karsten Knese, Michael Jeronimo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 19 Nov 2020 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.3.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.3.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.3.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.8-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.7-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.6-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 07 May 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.5-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Nov 2019 01:51:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.3-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 18 Nov 2019 21:55:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.2.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.1.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.1.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.1.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.0.5-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.0.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.0.3-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 14 Dec 2018 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.0.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-humble-rosbag2-performance-benchmarking (0.0.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000


